## libmysofa 1.3.3%2Bdfsg

=== debian/changelog ===
libmysofa (1.3.3+dfsg-1ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Fri, 06 Feb 2026 21:16:07 +0100

libmysofa (1.3.3+dfsg-1ubuntu1) plucky; urgency=medium

  * Sync with Debian. Remaining change:
    - Don't Build-Depend on nodejs on i386

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 19 Feb 2025 20:36:19 -0600

libmysofa (1.3.3+dfsg-1) unstable; urgency=medium

  * New upstream version 1.3.3+dfsg
    + Drop obsolete patches
    + Refresh patches
  * Update copyright information
    + Bump copyright dates
  * Apply 'wrap-and-sort -ast'
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 19 Oct 2024 23:23:42 +0200
