## libmysofa 1.3.3+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.5)
 project(libmysofa C CXX)
 
 include(CheckCCompilerFlag)
@@ -20,7 +20,7 @@
 set(CPACK_DEBIAN_PACKAGE_MAINTAINER "IOhannes m zmölnig")
 set(CPACK_PACKAGE_VERSION_MAJOR "1")
 set(CPACK_PACKAGE_VERSION_MINOR "3")
-set(CPACK_PACKAGE_VERSION_PATCH "2")
+set(CPACK_PACKAGE_VERSION_PATCH "3")
 set(CPACK_DEBIAN_PACKAGE_DEPENDS "zlib1g")
 
 set(PKG_CONFIG_PRIVATELIBS "")
@@ -53,11 +53,11 @@
 
   enable_testing()
 
-  add_test(Mesh2HRTF src/mysofa2json -c
+  add_test(Mesh2HRTF src/mysofa2json -c -o tmp.json
            ${PROJECT_SOURCE_DIR}/tests/Mesh2HRTF.sofa)
-  add_test(latTestAziBeRTA_Resamp1_Fran src/mysofa2json -c
+  add_test(latTestAziBeRTA_Resamp1_Fran src/mysofa2json -c -o tmp.json
            ${PROJECT_SOURCE_DIR}/tests/latTestAziBeRTA_Resamp1_Fran.sofa)
-  add_test(D1_48K_24bit_0.3s_FIR_SOFA src/mysofa2json
+  add_test(D1_48K_24bit_0.3s_FIR_SOFA src/mysofa2json -o tmp.json
            ${PROJECT_SOURCE_DIR}/tests/D1_48K_24bit_0.3s_FIR_SOFA.sofa)
   add_test(H20_44K_16bit_256tap_FIR_SOFA ${PROJECT_SOURCE_DIR}/tests/compareIgnoreNew.sh
            ${PROJECT_SOURCE_DIR}/tests/H20_44K_16bit_256tap_FIR_SOFA)
