=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,4 @@
-macro(use_c99)
-  if(CMAKE_VERSION VERSION_LESS "3.1")
-    if(CMAKE_C_COMPILER_ID STREQUAL "GNU")
-      set(CMAKE_C_FLAGS "--std=gnu99 -pedantic ${CMAKE_C_FLAGS}")
-    endif()
-  else()
-    set(CMAKE_C_STANDARD 99)
-  endif()
-endmacro(use_c99)
-
-use_c99()
+set(CMAKE_C_STANDARD 99)
 
 configure_file(config.h.in config.h)
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
@@ -127,6 +117,8 @@
   # with the mysofa-static library.
   set_target_properties(mysofa-shared
                         PROPERTIES ARCHIVE_OUTPUT_NAME mysofa_shared)
+  set_target_properties(mysofa-shared
+                        PROPERTIES PUBLIC_HEADER "${public-headers}")
 
   set_property(
     TARGET mysofa-shared
@@ -168,6 +160,12 @@
   generate_export_header(mysofa-static BASE_NAME mysofa EXPORT_FILE_NAME
                          mysofa_export.h)
 endif()
+
+# Must install export header so downstream packages can properly understand 
+# which functions are accessible
+install(FILES ${PROJECT_BINARY_DIR}/src/mysofa_export.h
+  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
+  )
 
 if(BUILD_TESTS)
   add_executable(mysofa2json tests/sofa2json.c tests/json.c)
