=== debian/control ===
Source: libmysofa
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libcunit1-dev,
 nodejs [!i386] <!nocheck>,
 zlib1g-dev | libz-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Section: devel
Homepage: https://github.com/hoene/libmysofa
Vcs-Git: https://salsa.debian.org/multimedia-team/libmysofa.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/libmysofa

Package: libmysofa-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libmysofa1 (= ${binary:Version}),
 ${misc:Depends},
Description: library to read HRTFs stored in the AES69-2015 SOFA format - development files
 libmysofa is a light weight C-library intended to read SOFA (Spatially Oriented
 Format for Acoustics) files for spatial rendering.
 It hardly has any library dependencies and is suitable for embedded devices.
 .
 It reads SOFA files and checks whether the data complies to the
 "SimpleFreeFieldHRIR" conventions. In addition, it provides functions to
 look-up and interpolate the filters for a given orientation and to normalize
 the HRTFs (Head-Related Transfer Functions) to a reference level.
 .
 This package contains the files necessary to compile applications using
 libmysofa.

Package: libmysofa1
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: library to read HRTFs stored in the AES69-2015 SOFA format
 libmysofa is a light weight C-library intended to read SOFA (Spatially Oriented
 Format for Acoustics) files for spatial rendering.
 It hardly has any library dependencies and is suitable for embedded devices.
 .
 It reads SOFA files and checks whether the data complies to the
 "SimpleFreeFieldHRIR" conventions. In addition, it provides functions to
 look-up and interpolate the filters for a given orientation and to normalize
 the HRTFs (Head-Related Transfer Functions) to a reference level.
 .
 This package contains the shared objects necessary to run an application using
 libmysofa.

Package: libmysofa-utils
Architecture: any
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: library to read HRTFs stored in the AES69-2015 SOFA format - utilities
 libmysofa is a light weight C-library intended to read SOFA (Spatially Oriented
 Format for Acoustics) files for spatial rendering.
 It hardly has any library dependencies and is suitable for embedded devices.
 .
 It reads SOFA files and checks whether the data complies to the
 "SimpleFreeFieldHRIR" conventions. In addition, it provides functions to
 look-up and interpolate the filters for a given orientation and to normalize
 the HRTFs (Head-Related Transfer Functions) to a reference level.
 .
 This package contains the mysofa2json utility.
